:root {
    --color-primary: #e50914;
    --color-text-primary: #ffffff;
    --color-primary-hover: #bf050e;
    --background-color-collapsed: #414141;
    --color-login-text: #8C8C8C;
}

html {
    font-size: 62.5%;
}

select {
    background-color: black;
    padding: 1rem 2rem;
    color: var(--color-text-primary);
}
li {
    list-style: none;
    cursor: pointer;
}

* {
    margin: 0;
    padding: 0;
}

body {
    box-sizing: border-box;
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-size: 1.6rem;
    font-style: normal;
}

ul {
    padding-left: 0;
}

/* General styles  */

.button {
    background-color: var(--color-primary);
    color: var(--color-text-primary);
    border: none;
}

.login-text-color {
    color: var(--color-login-text);
}

.f-13 {
    font-size: 1.3rem;
}

.w-80 {
    width: 80%;
}

.titles h1 {
    color: var(--color-text-primary);
    text-align: center;
    font-size: 5rem;
}

.titles h3 {
    font-size: 2.5rem;
    text-align: center;
    margin: 1em 0 0;
    text-shadow: 5px 5px 5px rgba(0, 0, 0, 0.6);
    color: var(--color-text-primary);
}

.titles p {
    color: var(--color-text-primary);
    font-size: 2rem;
    text-align: center;
    text-shadow: 5px 5px 5px rgba(0, 0, 0, 0.6);
}

/* Home  */
.home {
    height: 100vh;
    background: url(/assets//img/portada.jpg);
    background-size: cover;
}

.header {
    width: 90%;
    margin: 0 auto;
    padding: 3rem 0;
    display: flex;
    justify-content: space-between;
}

.btn-login a button{
    padding: 1rem 1rem;
    background-color: var(--color-primary);
    border-radius: 0.5rem;
    font-size: 1.4rem;
    font-weight: 700;
}

.btn-login a button:hover,
.btn-input button:hover {
    background-color: var(--color-primary-hover);
    cursor: pointer;
    transition: all 300ms ease-in-out;
}

.container-home {
    height: 75vh;
    display: flex;
    margin-top: 14rem;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.container-promotion {
    background:      radial-gradient(51.39% 511.66% at 47.68% -217.91%,#ff9900 0%,
    #e50914 17.27%,
    #0e1b4f 79.44%,
    #000413 100%);
    width: 90%;

    padding: 2rem 2rem;
    margin-top: 15rem;
    text-align: center;
}

.container-left-promotion {
    text-align: start;
    font-weight: 600;
}

.text-promotion-title {
    font-size: 2rem;
}

.button-promotion {
    background-color: inherit;
    color: rgb(80, 164, 243);
    border: none;
    text-align: start;
}


/* Logo */
.logo {
    width: 10rem;
}

.default-ltr-cache-1d568uk {
    color: red;
}

.form {
    display: flex;
    justify-content: space-evenly;
    margin-top: 1.5rem;
    
}

.form-input {
    width: 60%;
}

.form-input input {
    width: 100%;
    padding: 1.5rem;
    background-color: inherit;
    border: 1px solid var(--color-text-primary);
    border-radius: 0.25rem;
}

.form-input input::placeholder {
    color: var(--color-text-primary);
    font-weight: 600;
}

.btn-input {
    width: 28%
}

.btn-input button {
    width: 100%;
    height: 100%;
    font-size: 2rem;
    border-radius: 0.25rem;
}

/* Section  */

.section {
    background-color: black;
}

.container-section {
    display: flex;
    min-height: auto;
    justify-content: center;
    padding: 6rem 0;
    border-bottom: 6px solid #232323;
}

.titles-section {
    color: var(--color-text-primary);
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-right: 4rem;
}

.titles-section h3 {
    font-size: 5rem;
}

.titles-section p, 
.section-2__titles p {
    font-size: 2rem;
    width: 80%;
    margin-top: 1.5rem;
}


/* Section 2 */
.container-section-2 {
    display: flex;
    padding: 3rem auto;
    justify-content: center;
    align-items: center;
    min-height: auto;
    border-bottom: 6px solid #232323;
}

.section-2__titles {
    color: var(--color-text-primary);
}

.section-2__titles h3 {
    font-size: 5rem;
}

/* Kids section 3 */

.container-kids-section {
    width: 80%;
    margin: 0 auto;
}

.titles-kids-section {
    width: 80%;
}

.download-section {
    width: 90%;
}

/* Frequently question section  */

.container-frequently-question {
    min-height: auto;
    background-color: black;
}

.container-question {
    padding: 2rem 0;
    text-align: center;
}

.question-title {
    font-size: 4rem;
    color: var(--color-text-primary);
    margin: 4rem 0 2rem 0;
    font-weight: 700;
}

.container-collapsed {
    margin: 0 auto;
}

.collapsed-text {
    width: 80%;
    color: var(--color-text-primary);
    background-color: var(--background-color-collapsed);
    font-size: 2.4rem;
    margin: 0 auto;
    padding: 1.5rem 3rem;
    text-align: start;
}

.collapsed {
    transition: all 1000ms ease-in-out;
}

.collapsed-text:hover {
    background-color: #656262;
    transition: all 200ms ease-in-out;
    cursor: pointer;
}

.collapse-style {
    width: 80%;
    background-color: var(--background-color-collapsed);
    padding: 1rem 3rem;
    margin: 0 auto;
    text-align: start;
    font-size: 2rem;
    color: var(--color-text-primary);
    transition: all 200ms ease-in-out;
}
/* Membership section */

.membership-section {
    min-height: 20vh;
    border-bottom: 6px solid #232323;
    padding: 10rem 0;
}
.membership__title {
    font-size: 2rem;
}

.form-input-bottom {
    margin: 0 auto;
}

.form-input-bottom input {
    width: 75%;
}


/* footer styles  */

.w-80 {
    width: 80%;
}

.container-footer {
    margin: 0 auto;
    min-height: 40vh;
    color: #B3B3B3;
}


.text-footer {
    color: #B3B3B3;
}


/* ----------------------- */
/* ----------------------- */
/* Login.html styles */
/* ----------------------- */
/* ----------------------- */

.image-login {
    background: url(../assets/img/login.jpeg);
    background-position: center center;
    filter: brightness(0.8);
    background-size: cover;
    height: 100vh;
    min-height: 60rem;
    display: flex;
    justify-content: center;
    align-items: center;
}


.container-box-login {
    min-height: 660px;
 width: 100%;
 width: 450px;
 padding: 60px 68px 40px 
}

.container-login__title h1 {
    font-size: 3.3rem;
}
.input-login {
    padding: 1rem 2rem;
    width: 100%;
    background-color: var(--background-color-collapsed);
    border: none;
    border-radius: 5px;
}

.container-input input::placeholder {
    color: #8C8C8C;
}

.container-input input {
    color: var(--color-text-primary);
}

.container-button-login {
    margin: 3rem 0 1rem 0;
}
.button-login {
    width: 100%;
    padding: 1.5rem 2rem;
    border-radius: 4px;
    border: none;
    font-weight: 700;
    color: var(--color-text-primary);
    background-color: var(--color-primary);
}

.button-login:hover {
    background-color: var(--color-primary-hover);
}

.container-content-top-bottom-login {
    display: flex;
    font-size: 1.4rem;
    justify-content: space-between;
    color: #B3B3B3;
}

input[type=checkbox] {
    position: relative;
      cursor: pointer;
}
input[type=checkbox]:before {
    content: "";
    display: block;
    position: absolute;
    width: 12px;
    height: 12px;
    top: 0;
    left: 0;
    background-color:#8C8C8C;
}
input[type=checkbox]:checked:before {
    content: "";
    display: block;
    position: absolute;
    width: 12px;
    height: 12px;
    top: 0;
    left: 0;
    background-color:#8C8C8C;
}
input[type=checkbox]:checked:after {
    content: "";
    display: block;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    position: absolute;
    /* top: 2px; */
    left: 4px;
}

.sign-in-container {
    margin-top: 6rem;
}



/* Media queries  */


@media (max-width: 1659px) {
    .container-section-2,
    .container-section
     {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 3rem;
    }
    .titles-section {
        width: 80%;
        margin: 0 auto;
    }
    
    .container-section-2 {
        width: 80%;
        margin: 0 auto;
    }
}

@media(max-width: 1350px) {
    .section-2__titles {
        width: 100%;
    }

    .container-section-2 {
        width: 90%;
    }

    .container-section-2-image {
        margin-right: 0;
    }

    .container-image-mobile img,
    .container-image-mobile video {
        width: 500px;
    }

    .section-2__titles h3 {
        font-size: 4rem;
    }
}

@media(max-width:1050px) {
    .container-image-mobile img,
    .container-image-mobile video {
        width: 400px;
    }

    .container-section-2,
    .container-section
     {
        gap: 0rem;
    }
}

@media(max-width:880px) {
    .container-section-2 {
        padding: 5rem 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    
    .section-2__titles h3,
    .section-2__titles p {
        text-align: center;
        width: 96%;
    }
    
    .section-2__titles h3 {
        margin-top: 2rem;
        font-size: 3rem;
    }
    
    .section-2__titles p {
        margin-bottom: 3rem;
        font-size: 1.8rem;
    }
    
    .image-section {
        border-bottom: none;
    }

    .titles {
        margin: 0 auto ;
    }

    .titles h1 {
        font-size: 4rem;
    }

    .titles p {
        font-size: 1.6rem;
    }

    .question-title {
        font-size: 2.5rem;
    }

    .collapsed-text {
        width: 90%;
        font-size: 1.8rem;
    }
    
    .membership__title {
        font-size: 1.6rem;
    }
    
    .form-input-bottom {
        width: 100%;
    }
}

/* --------------------- */
/* Login media querie */
/* --------------------- */
@media( max-width: 766px ) {
    .container-box-login {
        height: 100vh;
        width: 100%;
    }
}

@media(max-width:500px) { 
    .titles p,
    .titles h3 {
        width: 80%;
        margin: 0 auto;
    }

    .bottom__header {
        margin-top: 100px;
    }

    .form {
        flex-direction: column;
        margin-top: 3rem;
        width: 100%;
    }

    .form-input  {
        width: 90%;
        margin: 0 auto;
        margin-bottom: 2rem;
    }

    .btn-input {
        margin: 0 auto;
    }

    .button,
    .btn-input {
        padding: 1rem 2rem;
        width: 50%;
    }

    .button-1 {
        width: 100%;
    }

    .input-botton {
        width: 100%;
    }

    .w-80 {
        width: 90%;
    }

    .grid-mobile-list-footer {
        flex-wrap: wrap;
        margin: 0 auto;
        margin: 3rem 0;
    }

    .container-footer {
        width: 75%;
    }

    ul li,
    .container__subtitle--footer p {
        font-size: 2.2rem;
    }

    /* ul, li {
        width: 50%;
    } */
    ul {
        margin-bottom: 2rem;
    }

    .membership__title {
        width: 90%;
        margin: 0 auto;
    }

    .collapse-style {
        width: 90%;
    }
}
    
    
    
    
    
    
    